<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE RuleSet SYSTEM "jar://rewriter.jar/resources/RuleSet.dtd">

<RuleSet id="inotes_ruleset">
    <HTMLRules>
	<Attribute name="action"/>
	<Attribute name="background"/>
	<Attribute name="codebase"/>
	<Attribute name="href"/>
	<Attribute name="src"/>
	<Attribute name="value"/>
	<Attribute name="lowsrc"/>
	<Attribute name="url"/>
	<Attribute name="archive"/>

	<Attribute name="imagePath"/>
	<Attribute name="viewClass"/>
	<Attribute name="emptyURL"/>
	<Attribute name="draftsURL"/>
	<Attribute name="folderURL"/>
	<Attribute name="prevMonthImage"/>
	<Attribute name="nextMonthImage"/>

	<Attribute name="onAbort" type="DJS"/>
	<Attribute name="onBlur" type="DJS"/>
	<Attribute name="onChange" type="DJS"/>
	<Attribute name="onClick" type="DJS"/>
	<Attribute name="onDblClick" type="DJS"/>
	<Attribute name="onError" type="DJS"/>
	<Attribute name="onFocus" type="DJS"/>
	<Attribute name="onKeyDown" type="DJS"/>
	<Attribute name="onKeyPress" type="DJS"/>
	<Attribute name="onKeyUp" type="DJS"/>
	<Attribute name="onLoad" type="DJS"/>
	<Attribute name="onMouseDown" type="DJS"/>
	<Attribute name="onMouseMove" type="DJS"/>
	<Attribute name="onMouseOut" type="DJS"/>
	<Attribute name="onMouseOver" type="DJS"/>
	<Attribute name="onMouseUp" type="DJS"/>
	<Attribute name="onReset" type="DJS"/>
	<Attribute name="onSelect" type="DJS"/>
	<Attribute name="onSubmit" type="DJS"/>
	<Attribute name="onUnload" type="DJS"/>
    </HTMLRules>

    <JSRules>
	<Variable name="imgsrc" type="URL"/>
	<Variable name="location.href" type="URL"/>
	<Variable name="_fr.location" type="URL"/>
	<Variable name="mf.location" type="URL"/>
	<Variable name="parent.location" type="URL"/>
	<Variable name="self.location" type="URL"/>
	<Variable name="g_szUserBase" type="URL"/>
	<Variable name="g_szPublicFolderUrl" type="URL"/>
	<Variable name="g_szExWebDir" type="URL"/>
	<Variable name="szViewClassURL" type="URL"/>
	<Variable name="g_szVirtualRoot" type="URL"/>
	<Variable name="g_szBaseURL" type="URL"/>
	<Variable name="g_szURL" type="URL"/>
	<Variable name="BRO" type="URL"/>

	<Variable name="window.location" type="EXPRESSION"/>
	<Variable name="location" type="EXPRESSION"/>
	<Variable name="surf_form_URL" type="EXPRESSION"/>
	<Variable name="src" type="EXPRESSION"/>
	<Variable name="BTv" type="EXPRESSION"/>

	<Variable name="__inbox__" type="DHTML"/>
	<Variable name="__drafts__" type="DHTML"/>
	<Variable name="__sent__" type="DHTML"/>
	<Variable name="__all__" type="DHTML"/>
	<Variable name="__calendar__" type="DHTML"/>
	<Variable name="__todo__" type="DHTML"/>
	<Variable name="__meetings__" type="DHTML"/>
	<Variable name="__trash__" type="DHTML"/>
	<Variable name="__discuss__" type="DHTML"/>
	<Variable name="__search__" type="DHTML"/>
	<Variable name="__arrow__" type="DHTML"/>
	<Variable name="BHX" type="DHTML"/>
	<Variable name="h_QPComponent_ReplaceString" type="DHTML"/>

	<Variable name="window.location.pathname" type="SYSTEM"/>

	<Function name="openURL" paramPatterns="y" type="URL"/>
	<Function name="openSavedBookmarkURL" paramPatterns="y" type="URL"/>
	<Function name="openAppURL" paramPatterns="y" type="URL"/>
	<Function name="openNewWindow" paramPatterns="y" type="URL"/>
	<Function name="parent.openNewWindow" paramPatterns="y" type="URL"/>
	<Function name="window.open" paramPatterns="y" type="URL"/>

	<Function name="document.write" paramPatterns="y" type="DHTML"/>
	<Function name="document.writeln" paramPatterns="y" type="DHTML"/>
    </JSRules>

    <XMLRules>
	<Attribute name="xmlns"/>
	<TagText tag="baseroot"/>
	<TagText tag="a:href"/>
	<TagText tag="prop2"/>
	<TagText tag="prop1"/>
	<TagText tag="img"/>
	<TagText tag="xsl:attribute" attributePatterns="name=src"/>
    </XMLRules>
</RuleSet>
